Bug 992150

Summary: ltsp: FTBFS in rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: ltspAssignee: Warren Togami <wtogami>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: enslaver, gspurgeon, pertusus, ppisar, ryanryan52, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-02 05:26:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 991858    

Description Dennis Gilmore 2013-08-04 23:25:45 EDT
Your package ltsp failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5709076

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/9076/5709076/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/9076/5709076/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/9076/5709076/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Petr Pisar 2013-08-06 06:38:46 EDT
cc -o getltscfg getltscfg.o	\
		parser.tab.o	\
		lexer.o		\
		-lfl -lpopt		\
		
/usr/bin/ld: cannot find -lfl
collect2: error: ld returned 1 exit status
make: *** [getltscfg] Error 1

flex incompatibility?
Comment 2 Fedora End Of Life 2013-09-16 11:16:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Fedora End Of Life 2015-05-29 05:15:16 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jan Kurik 2015-07-15 10:46:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 5 Mat Booth 2015-12-02 05:26:21 EST
This package was retired:

http://pkgs.fedoraproject.org/cgit/ltsp.git/tree/dead.package